#
# uspac1.rb
#
# $Id: uspac1.rb,v 1.1 2000/11/21 03:15:46 keiko Exp $
#

require "num/numarray"
require "num/dcl"

include Num::DCL
include Math


NMAX = 50
x = NumArray.new(Float, NMAX+1)
y = NumArray.new(Float, NMAX+1)

#-- data ---
x.span(1950.0, 1.0) 
r    = 3.7
y[0] = 0.5
for n in 0..NMAX-1
  y[n+1] = r*y[n]*(1.0-y[n])
end

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm

ussttl('TIME', 'YEAR', 'HEAT FLUX', 'W/m|2"')
usgrph(NMAX+1, x, y)

grcls

