#
# uspac3.rb
#   $Id: uspac3.rb,v 1.2 2000/11/18 19:03:49 keiko Exp $
#


require "narray"
require "dcl"
include DCL
include Math


NMAX = 50
XMIN = 1950
XMAX = 2000
y = NArray.sfloat(NMAX+1)

#-- data ---
r    = 3.7
y[0] = 0.5
for n in 0..NMAX-1
  y[n+1] = r*y[n]*(1.0-y[n])
end

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm

rundef = glrget('RUNDEF')
grswnd(XMIN, XMAX, rundef, rundef)
ussttl('TIME', 'YEAR', 'HEAT FLUX', 'W/m|2"')
usgrph(NMAX+1, rundef, y)

grcls

